- [HTTP request](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments/create#body.request_body)
- [Response body](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments/create#body.aspect_1)

Create a deployment resource in the API hub. Once a deployment resource is created, it can be associated with API versions.

### HTTP request

`POST https://apihub.googleapis.com/v1/{parent=projects/*/locations/*}/deployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource for the deployment resource. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `deploymentId` | `string` Optional. The ID to use for the deployment resource, which will become the final component of the deployment's resource name. This field is optional. - If provided, the same will be used. The service will throw an error if the specified id is already used by another deployment resource in the API hub. - If not provided, a system generated id will be used. This value should be 4-500 characters, and valid characters are /\[a-z\]\[A-Z\]\[0-9\]-_/. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments#Deployment`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.deployments#Deployment`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/apihub.readwrite`
- `
  https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `apihub.deployments.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).